Subject: bug#2028: 23.0.60; (1) dired-guess-default should remove duplicates (2) doc string

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Mon, 11 Jul 2011 15:39:57 +0200

"Drew Adams" <[email-masked]> writes:

> `dired-guess-default' returns a list of default shell commands
> appropriate for its input, FILES.  It should remove duplicates from
> this list before returning it.

Ok; done.

> Also, the doc string is:
>
> "Guess a shell commands for FILES.  Return command or list of commands.
> See `dired-guess-shell-alist-user'."
>
> This is not correct grammatically. Suggestion:
>
> "Return a shell command, or a list of such, appropriate for FILES.
> See `dired-guess-shell-alist-user'."

I've changed it to something like that.

> BTW (I didn't check the code - just a naive question): Why do we
> return sometimes a single command instead of a singleton list of that
> command? What is gained by this added complexity? Is there some
> calling code that *must* receive a command and not a list of commands?

I'm guessing somebody extended the function at some point.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/